processing.app.platform

## Class MacPlatform

- Object
- - Platform
  - - MacPlatform

-     public class MacPlatform
      extends Platform

  Platform handler for Mac OS X.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class Platform

      `Platform.CLibrary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacPlatform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDefaultSketchbookFolder()`
    `File` | `getSettingsFolder()` This function should throw an exception or return a value.
    `void` | `init(Base base)`
    `void` | `saveLanguage(String language)` Handle any platform-specific languages saving.

    - ### Methods inherited from class Platform

      `deleteFile, getenv, openFolder, openFolderAvailable, openURL, setenv, setLookAndFeel, unsetenv`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacPlatform

          public MacPlatform()

  - ### Method Detail

    - #### saveLanguage

          public void saveLanguage(String language)

      Description copied from class: `Platform`
      Handle any platform-specific languages saving. This is necessary on OS X because of how bundles are handled, but perhaps your platform would like to Think Different too?
      Overrides:
        `saveLanguage` in class `Platform`
      Parameters:
        `language` - 2-digit lowercase ISO language code

    - #### init

          public void init(Base base)

      Overrides:
        `init` in class `Platform`

    - #### getSettingsFolder

          public File getSettingsFolder()
                                 throws Exception

      Description copied from class: `Platform`
      This function should throw an exception or return a value. Do not return null.
      Overrides:
        `getSettingsFolder` in class `Platform`
      Throws:
        `Exception`

    - #### getDefaultSketchbookFolder

          public File getDefaultSketchbookFolder()
                                          throws Exception

      Overrides:
        `getDefaultSketchbookFolder` in class `Platform`
      Returns:
        if not overridden, a folder named "sketchbook" in user.home.
      Throws:
        `Exception` - so that subclasses can throw a fit